using System.ComponentModel.DataAnnotations;

namespace Modules.User.WebApi.Models;

public class RegisterModel
{
    [Required(ErrorMessage = "Nickname is required.")]
    public string Nickname { get; set; } = default!;

    [Required(ErrorMessage = "Username is required.")]
    public string Login { get; set; } = default!;

    [Required(ErrorMessage = "Password is required.")]
    [DataType(DataType.Password)]
    public string Password { get; set; } = default!;
}
